getFavorites.v2
POST
/shopgate.user.getFavorites.v2
Returns the items of one favorite list. In contrast to version 1, an item carries the quantity and the note that the user stored with the product.
Request Body
Section titled “Request Body”Media typeapplication/json
object
favoritesListId
favoritesListId
The ID of the favorite list. Apps without support for multiple favorite lists use the implicit list DEFAULT.
string
Example
1Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
items
required
Array<object>
FavoritesItemAn entry of a favorite list.
object
product
required
The product, in the format of the catalog pipelines.
quantity
favoritesQuantity
The quantity of the product on the list. Only sent when the quantity setting is enabled for the app.
integer
notes
favoritesNotes
A note the user stored with the product. Only sent when the notes setting is enabled for the app.
string
itemCount
The number of items on the list.
integer
Example
{ "items": [ { "product": { "id": "abc123" }, "quantity": 2, "notes": "For the blue one" } ], "itemCount": 1}EUNKNOWN
Section titled “EUNKNOWN”Returns one or multiple error messages.
Media typeapplication/json

